> For the complete documentation index, see [llms.txt](https://developer.esw.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.esw.com/api-reference/standard-http-response-codes.md).

# Standard HTTP Response Codes

The following table lists the standard HTTP response codes

| Status Code                                                                                                    | Description                                                                                                                                                                                                      |
| -------------------------------------------------------------------------------------------------------------- | ---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------- |
| <mark style="color:$success;">**`200`**</mark>**&#x20;OK**                                                     | This response indicates that your request was successful.                                                                                                                                                        |
| <mark style="color:$success;">**`201`**</mark>**&#x20;Resource Created**                                       | This response code indicates that the request has succeeded and a new resource has been created. For instance, when the package information is updated or a new package is created.                              |
| <mark style="color:$danger;">**`400`**</mark>**&#x20;Bad Request**                                             | This response indicates that your request contains errors and could not be completed. For instance, if the request payload is empty or if mandatory parameters are missing.                                      |
| <mark style="color:$danger;">**`401`**</mark>/<mark style="color:$danger;">**`403`**</mark>**&#x20;Forbidden** | This response code indicates that access is forbidden.                                                                                                                                                           |
| <mark style="color:$danger;">**`404`**</mark>**&#x20;Not Found**                                               | This response is returned for example, if the system is unable to find the package in the system                                                                                                                 |
| <mark style="color:red;">**`409`**</mark>**&#x20;Conflict**                                                    | This response is returned if there is a conflict, for example, if you were trying to create a package but it already exists in the system or if you were trying to delete a package, but it could not be deleted |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://developer.esw.com/api-reference/standard-http-response-codes.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
